Skip to main content
GET
/
images
Get all images
curl --request GET \
  --url https://api.kameleoon.com/images \
  --header 'Authorization: Bearer <token>'
[
  {
    "altText": "<string>",
    "baseColor": 123,
    "colorDepth": 123,
    "createdById": 123,
    "date": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "fileName": "<string>",
    "fileWeight": 123,
    "format": "PNG",
    "height": 123,
    "id": 123,
    "keywords": [
      "<string>"
    ],
    "name": "<string>",
    "path": "<string>",
    "shared": true,
    "siteId": 123,
    "size": 123,
    "source": "<string>",
    "sourceUrl": "<string>",
    "tags": [
      "<string>"
    ],
    "width": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paramsIO
object
required
optionalFields
string[]

Response

OK

altText
string
baseColor
integer<int32>

Image base color

colorDepth
integer<int32>
createdById
integer<int64>
read-only

Account Id of the image uploader

date
string<date-time>

Date the image was uploaded

description
string
fileName
string

Image file name

fileWeight
integer<int64>
read-only

Image file size in KB

format
enum<string>

Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)

Available options:
PNG,
JPEG,
GIF,
SVG,
MVG,
WEB
height
integer<int32>

Image height in pixels

id
integer<int64>
read-only

Unique Id of the image

keywords
string[]

Keyword(s) associated with the image

Keyword(s) associated with the image

name
string

Image name

path
string

Image path

shared
boolean

Indicates if the image has been shared

siteId
integer<int64>

Unique Id of the site your project is associated with

size
integer<int64>
read-only

Image size in bytes. Image file size should be maximum 5242880 bytes

source
string

Image source

sourceUrl
string

URL or the image source

tags
string[]
width
integer<int32>

Image width in pixels